#!/bin/sh

set -e
set -u
# DEBUG
set -x

main() {
        cd "$(dirname "${0}")"

        ./pull-repos.sh

        export action="${action:-deploy}"
        export deployment="${deployment:-prod}"
        ./build__pilot-xo9b.sh
        ./build__pilot-setem.sh
        ./build__pilot-lafede.sh

        ./build__instance-autotest.sh
        ./build__pilot-generic.sh
        ./build__instance-nightly.sh

        # pangea pilot the last because is the heavier
        # TODO enable it, temp disabled to optimize server resources
        #./build__pilot-pangea.sh
}

main "${@}"
