#!/bin/sh

set -e
set -u
# DEBUG
set -x

main() {
        deployment="${1:-}"

        # detach on production deployment
        if [ "${deployment}" = 'prod' ]; then
                detach='-d'
        fi

        dcf='docker-compose_orchestra-temp.yml'
        docker compose -f ${dcf} down -v \
                && make docker_build \
                && docker compose -f ${dcf} up ${detach:-}
}

main "${@}"
